Package org.eclipse.zest.core.widgets

# Interface ConstraintAdapter

@Deprecated(since="1.12", forRemoval=true) public interface ConstraintAdapter
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release in accordance with the two year deprecation policy.
This interface is used to populate layout constraints on Zest nodes. Constraint will be a instance of LayoutConstraint (look at the heirarchy for an up-to-date list).

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`populateConstraint(Object object, LayoutConstraint constraint)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### populateConstraint

void populateConstraint(Object object, LayoutConstraint constraint)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `object` -
  `constraint` -